#include "BaseTab.hpp"
#include <wx/filename.h>

BaseTab::BaseTab(wxFrame *parent)
    : BasePanelBF(parent), TabInfos(TabInfos::BASE), base(NULL) {
  LoadFile("/home/loic/text.PGn");
}

void BaseTab::ApplyPreferences() {}

void BaseTab::LoadFile(std::string path) {
  wxFileName file(path);
  wxString ext = file.GetExt().Lower();
  if (ext == "pgn") {
    base = new PGNGameBase(path);
  }

  if (base != NULL) {
      while(base->HasNextGame()){
          Game *g=base->GetNextGame();

      }
  }
}